# Interface LiteralTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface LiteralTree extends ExpressionTree
A tree node for a literal expression. Use `getKind` to determine the kind of literal. For example:

      value

See Java Language Specification:
  15.29 Constant Expressions
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getValue()`
Returns the value of the literal expression.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getValue

Object getValue()
Returns the value of the literal expression. The value will be a boxed primitive value, a String, or `null`.

Returns:
  the value